# Uses of Enum Class
org.snpeff.reactome.events.Reaction.RegulationType

Packages that use Reaction.RegulationType
Package
Description
org.snpeff.reactome.events

## Uses of Reaction.RegulationType in org.snpeff.reactome.events

Fields in org.snpeff.reactome.events with type parameters of type Reaction.RegulationType
Modifier and Type
Field
Description
`protected HashMap<Entity,Reaction.RegulationType>`
Reaction.`regulator`
Methods in org.snpeff.reactome.events that return Reaction.RegulationType
Modifier and Type
Method
Description
`static Reaction.RegulationType`
Reaction.RegulationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Reaction.RegulationType[]`
Reaction.RegulationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.reactome.events that return types with arguments of type Reaction.RegulationType
Modifier and Type
Method
Description
`HashMap<Entity,Reaction.RegulationType>`
Reaction.`getRegulator()`
Methods in org.snpeff.reactome.events with parameters of type Reaction.RegulationType
Modifier and Type
Method
Description
`void`
Reaction.`addRegulator(Entity e, Reaction.RegulationType type)`